﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using REDOX;

namespace TestFormREDOX
{
    public partial class frmTest : Form
    {
        Workbook wb = null;

        public frmTest()
        {
            InitializeComponent();
        }

        private void btnOpenFile_Click(object sender, EventArgs e)
        {
            cmbWorksheets.Items.Clear();
            dgvSheet.Rows.Clear();
            dgvSheet.Refresh();

            dlgFileOpen.ShowDialog();
            txtFile.Text = dlgFileOpen.FileName;

            REDOX.Application app = new REDOX.Application();
            wb = app.OpenWorkbook(txtFile.Text);

            foreach (string wsName in wb.Worksheets.Keys)
            {
                cmbWorksheets.Items.Add(wsName);
            }

        }

        private void btnLoadWorksheet_Click(object sender, EventArgs e)
        {
            Worksheet ws = wb.Worksheets[cmbWorksheets.SelectedItem.ToString()];
            DataTable dt = ws.GetData(chkFirstRowContainsColumnNames.Checked);

            dgvSheet.DataSource = dt;
        }

        private void frmTest_Load(object sender, EventArgs e)
        {
            cmbWorksheets.Items.Add("");
        }
    }
}
